Meizu m2

Cant install Pokemon go, hearthstone… It says this device is not compatible with this version (Flyme 5.1.8.0)